<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();

 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="http://localhost/siga_pregrado/modulos/menu/index6.php";
  		$ip=obtener_ip_index6();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="6") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="http://localhost/siga_pregrado/modulos/menu/index6.php";
  		$ip=obtener_ip_index6();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "../../salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  

mysql_select_db($database_cn, $cn);
//Busca datos del alumno.
$sql = "SELECT apellidos, nombres,sede FROM usuarios where cedula='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$sede= $row['sede'];
$apellidos_user= $row['apellidos'];
$nombres_user= $row['nombres'];
//fin


$sql2 = "SELECT descripcion FROM tipo_usuario where tipo='$tipo_usuario'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$descripcion_usuario= $row2['descripcion'];


?>

<html>
<head>
	<title>Escuela Nacional de Administraci&oacute;n y Hacienda P&uacute;blica (ENAHP)</title>
	<link rel="stylesheet" href="../../css/estilos.css" type="text/css">
	<link rel="stylesheet" href="../../css/main.css" type="text/css">
	<script type="text/javascript" src="../../js/menu.js"></script>
	<script  type="text/javascript">
		function hacer_algo()
		{
			//Accediendo a una marca HTML a través del DOM (getElementById)	
			if( document.getElementById("menu").innerHTML=="1" )
			{
				document.getElementById("menu").innerHTML= "2";
				document.getElementById("menu").style.display= "block"; //mostrar
			}
			else
			{
				document.getElementById("menu").innerHTML= "1";
				document.getElementById("menu").style.display= "none"; //no lo muestra
			}
			document.getElementById("contenido").style.color= "#33ff00";
			document.getElementById("menu").style.backgroundColor= "#0EFF1E";
	
			document.getElementById("contenido").style.backgroundColor= "#000000";
		}
	</script>
    <style type="text/css">
<!--
.style1 {
	color: #FFFF00;
	font-weight: bold;
}
-->
    </style>
</head>
<body>
<table id="principal" cellpadding="0" cellspacing="0" border="1" align="center">
	<tr><TD id='banner' colspan="2"></td></tr>
	<TR><TD id="menu">
		<?php 
		include_once('menu6.php');
		?>
	</TD><td id="contenido"><iframe src="" name="contenido" id="contenido" frameborder="0" width="100%" height="100%" scrolling="auto"></iframe></td>
	<tr>
	<TD id="footer" colspan="2">
	Sistema Integral de Gesti&oacute;n Acad&eacute;mica de la ENAHP-IUT (SIGA)<br>
	<span class="style1">USUARIO: <?php echo $nombres_user.' '.$apellidos_user ?>&nbsp;(<?php echo $descripcion_usuario; ?>) </span><br>
	Para mayor informaci&oacute;n y sugerencias escriba a: siga@enahp.edu.ve</TD>
	</TR></table>
</TD></tr>
</table>
</body>
</html>

<?php
function obtener_ip_index6()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  ?>
